Index: trunk/src/lib/graphics/importer/bsp/bsp_file.cc
===================================================================
--- trunk/src/lib/graphics/importer/bsp/bsp_file.cc	(revision 10314)
+++ trunk/src/lib/graphics/importer/bsp/bsp_file.cc	(revision 10317)
@@ -426,5 +426,5 @@
 {
   ::std::string absFileName;
-  char* baseName = "/worlds/bsp/";
+  char* baseName = "/textures/";
 
   char fileName [500];
@@ -448,7 +448,7 @@
     //this->Materials[i]->setShininess(100.0);
    // this->Materials[i].mat->setTransparency(1.0);
-    this->Materials[i].mat->setDiffuseMap("pictures/ground.tga");
-    this->Materials[i].mat->setAmbientMap("pictures/ground.tga");
-    this->Materials[i].mat->setSpecularMap("pictures/ground.tga");
+    this->Materials[i].mat->setDiffuseMap("textures/ground.tga");
+    this->Materials[i].mat->setAmbientMap("textures/ground.tga");
+    this->Materials[i].mat->setSpecularMap("textures/ground.tga");
     this->Materials[i].alpha = false;
     this->Materials[i].animated = false;
@@ -595,7 +595,7 @@
     //this->Materials[i]->setShininess(100.0);
     //this->Materials[i].mat->setTransparency(1.0);
-    this->Materials[i].mat->setDiffuseMap("pictures/error_texture.png");
-    this->Materials[i].mat->setAmbientMap("pictures/error_texture.png");
-    this->Materials[i].mat->setSpecularMap("pictures/error_texture.png");
+    this->Materials[i].mat->setDiffuseMap("textures/error_texture.png");
+    this->Materials[i].mat->setAmbientMap("textures/error_texture.png");
+    this->Materials[i].mat->setSpecularMap("textures/error_texture.png");
     this->Materials[i].alpha = true;
     this->Materials[i].animated = false;
Index: trunk/src/lib/graphics/importer/md3/md3_data.cc
===================================================================
--- trunk/src/lib/graphics/importer/md3/md3_data.cc	(revision 10314)
+++ trunk/src/lib/graphics/importer/md3/md3_data.cc	(revision 10317)
@@ -425,5 +425,5 @@
     std::string path1(tex[i].fileName);
     std::string fullPath( path + path1);
-    this->meshes[mesh]->material[i].setDiffuseMap(/*tex[i].fileName*/ /*fullPath.c_str()*/ "maps/creatures/gork/gorkup.tga");
+    this->meshes[mesh]->material[i].setDiffuseMap(/*tex[i].fileName*/ /*fullPath.c_str()*/ "textures/creatures/gork/gorkup.tga");
     this->meshes[mesh]->material[i].setAmbient(1, 1, 1);
   }
Index: trunk/src/lib/graphics/render2D/image_plane.cc
===================================================================
--- trunk/src/lib/graphics/render2D/image_plane.cc	(revision 10314)
+++ trunk/src/lib/graphics/render2D/image_plane.cc	(revision 10317)
@@ -59,5 +59,5 @@
 
   //this->setBindNode(this);
-  this->setTexture("pictures/error_texture.png");
+  this->setTexture("textures/error_texture.png");
 }
 
Index: trunk/src/lib/gui/gl/glgui_container.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_container.cc	(revision 10314)
+++ trunk/src/lib/gui/gl/glgui_container.cc	(revision 10317)
@@ -43,5 +43,5 @@
     this->registerObject(this, GLGuiContainer::_objectList);
 
-    this->setBackgroundTexture("gui_container_background.png");
+    this->setBackgroundTexture("textures/gui/gui_container_background.png");
 
   }
Index: trunk/src/lib/gui/gl/glgui_cursor.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_cursor.cc	(revision 10314)
+++ trunk/src/lib/gui/gl/glgui_cursor.cc	(revision 10317)
@@ -58,5 +58,5 @@
 
     this->setBackgroundColor(Color(1.0, 1.0, 1.0, 1.0));
-    this->setBackgroundTexture("cursor.png");
+    this->setBackgroundTexture("textures/menu/cursor.png");
     this->setSize2D(50, 50);
     this->setAbsCoor2D(100, 100);
Index: trunk/src/lib/gui/gl/glgui_handler.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_handler.cc	(revision 10314)
+++ trunk/src/lib/gui/gl/glgui_handler.cc	(revision 10317)
@@ -77,5 +77,5 @@
     this->_cursor->setMaxBorders(Vector2D(GraphicsEngine::getInstance()->getResolutionX(), GraphicsEngine::getInstance()->getResolutionY()));
 
-    _cursor->loadTextureSequence(Resources::ResourceManager::getInstance()->mainGlobalPath().name() + "/" + "maps/reap_mouse/reap_mouse_##.png", 1, 49);
+    _cursor->loadTextureSequence(Resources::ResourceManager::getInstance()->mainGlobalPath().name() + "/" + "textures/reap_mouse/reap_mouse_##.png", 1, 49);
 
   }
Index: trunk/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_widget.cc	(revision 10314)
+++ trunk/src/lib/gui/gl/glgui_widget.cc	(revision 10317)
@@ -127,5 +127,5 @@
 
     this->setBorderLeft(15);
-    this->setBackgroundTexture("gui_element_background.png");
+    this->setBackgroundTexture("textures/gui/gui_element_background.png");
 
     this->switchState(_state);
